Bug 1250872 - [abrt] wicd-common: wicd-daemon.py:947:ReadConfig:OSError: [Errno 13] Permission denied: '/etc/wicd/dhclient.conf.template'
[abrt] wicd-common: wicd-daemon.py:947:ReadConfig:OSError: [Errno 13] Permiss...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: wicd (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:73aa58b36af358cb880b2610838...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-06 04:10 EDT by JP Joerg
Modified: 2016-07-19 13:23 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:23:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1005 bytes, text/plain)
2015-08-06 04:10 EDT, JP Joerg
no flags Details
File: environ (86 bytes, text/plain)
2015-08-06 04:10 EDT, JP Joerg
no flags Details

  None (edit)
Description JP Joerg 2015-08-06 04:10:37 EDT
Version-Release number of selected component:
wicd-common-1.7.3-1.fc22

Additional info:
reporter:       libreport-2.6.2
cmdline:        /usr/bin/python -O /usr/share/wicd/daemon/wicd-daemon.py --no-daemon
executable:     /usr/share/wicd/daemon/wicd-daemon.py
kernel:         4.0.8-300.fc22.x86_64
runlevel:       N 5
type:           Python
uid:            0

Truncated backtrace:
wicd-daemon.py:947:ReadConfig:OSError: [Errno 13] Permission denied: '/etc/wicd/dhclient.conf.template'

Traceback (most recent call last):
  File "/usr/share/wicd/daemon/wicd-daemon.py", line 1951, in <module>
    main(sys.argv)
  File "/usr/share/wicd/daemon/wicd-daemon.py", line 1914, in main
    keep_connection=keep_connection)
  File "/usr/share/wicd/daemon/wicd-daemon.py", line 128, in __init__
    self.ReadConfig()
  File "/usr/share/wicd/daemon/wicd-daemon.py", line 947, in ReadConfig
    os.chmod(dhclient_conf, 0644)
OSError: [Errno 13] Permission denied: '/etc/wicd/dhclient.conf.template'

Local variables in innermost frame:
dns_dom: None
be_def: 'external'
dns3: None
dns2: None
dns1: None
search_dom: None
self: <__main__.WicdDaemon at /org/wicd/daemon at 0x7f0d906e35d0>
iface: 'ens9'
app_conf: /etc/wicd/manager-settings.conf
b_wifi: <__main__.WirelessDaemon at /org/wicd/daemon/wireless at 0x7f0d9045f750>
b_wired: <__main__.WiredDaemon at /org/wicd/daemon/wired at 0x7f0d9045f6d0>
Comment 1 JP Joerg 2015-08-06 04:10:40 EDT
Created attachment 1059777 [details]
File: backtrace
Comment 2 JP Joerg 2015-08-06 04:10:41 EDT
Created attachment 1059778 [details]
File: environ
Comment 3 Jerry Amundson 2015-12-18 10:54:00 EST
Seeing this in Fedora 23 as well.
Looks to be an AVC denial...

Dec 18 08:59:36 Z2301215 systemd: Starting Wicd a wireless and wired network manager for Linux...
Dec 18 08:59:36 Z2301215 systemd: Started Wicd a wireless and wired network manager for Linux.
Dec 18 08:59:36 Z2301215 audit: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=wicd comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Dec 18 08:59:36 Z2301215 audit: AVC avc:  denied  { create } for  pid=11210 comm="wicd" scontext=system_u:system_r:NetworkManager_t:s0 tcontext=system_u:system_r:NetworkManager_t:s0 tclass=appletalk_socket permissive=0
Dec 18 08:59:36 Z2301215 audit: AVC avc:  denied  { create } for  pid=11210 comm="wicd" scontext=system_u:system_r:NetworkManager_t:s0 tcontext=system_u:system_r:NetworkManager_t:s0 tclass=appletalk_socket permissive=0
Dec 18 08:59:36 Z2301215 audit: AVC avc:  denied  { create } for  pid=11210 comm="wicd" scontext=system_u:system_r:NetworkManager_t:s0 tcontext=system_u:system_r:NetworkManager_t:s0 tclass=appletalk_socket permissive=0
Dec 18 08:59:36 Z2301215 audit: AVC avc:  denied  { setattr } for  pid=11210 comm="wicd" name="dhclient.conf.template" dev="dm-0" ino=1974200 scontext=system_u:system_r:NetworkManager_t:s0 tcontext=unconfined_u:object_r:etc_t:s0 tclass=file permissive=0
Dec 18 08:59:36 Z2301215 systemd: wicd.service: Main process exited, code=exited, status=1/FAILURE
Dec 18 08:59:36 Z2301215 systemd: wicd.service: Unit entered failed state.
Dec 18 08:59:36 Z2301215 audit: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=wicd comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=failed'
Dec 18 08:59:36 Z2301215 systemd: wicd.service: Failed with result 'exit-code'.
Comment 4 Jerry Amundson 2015-12-18 10:58:03 EST
Quick followup... :)

setenforce Permissive

... then,

systemctl start wicd 

is successful.

wicd-common-1.7.3-2.fc23.noarch
systemd-222-10.fc23.x86_64
Comment 5 Fedora End Of Life 2016-07-19 13:23:02 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.